<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetRAMRequirement](./bitburner.hacknetramrequirement.md)

## HacknetRAMRequirement interface

Player's Hacknet devices must have at least this much total RAM.

**Signature:**

```typescript
interface HacknetRAMRequirement 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[hacknetRAM](./bitburner.hacknetramrequirement.hacknetram.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.hacknetramrequirement.type.md)


</td><td>


</td><td>

"hacknetRAM"


</td><td>


</td></tr>
</tbody></table>

